Robot Simulator of the Robotics Group for Self-Organization of Control: AmosIIConf Struct Reference

# AmosIIConf Struct Reference

`#include <amosII.h>`

List of all members.

## Public Attributes
double | size
| scaling factor for robot (length of body)
double | width
| trunk width
double | height
| trunk height
double | frontLength
| length of the front of the body (if back joint is used)
double | wheel_radius
| radius of a wheel
double | wheel_width
| width of a wheel
double | wheel_mass
| mass of a wheel
double | trunkMass
| trunk mass
double | frontMass
| mass of the front part of the robot (if backboine joint is used)
double | shoulderMass
| mass of the shoulders (if used)
double | coxaMass
| mass of the coxa limbs
double | secondMass
| mass of the second limbs
double | tebiaMass
| mass of the tebia limbs
double | footMass
| mass of the feet
double | shoulderHeight
| fix legs to trunk at this distance from bottom of trunk
double | legdist1
| distance between hindlegs and middle legs
double | legdist2
| distance between middle legs and front legs
flags
Enable or disable different element and features
bool | useShoulder
| fix the shoulder element to the trunk.
bool | useTebiaJoints
| whether to use joints at the knees or fix them
bool | useFoot
| use spring foot
bool | useBack
| use the hinge joint in the back
bool | rubberFeet
| if true, rubber substance is used for feet instead of the substance used for the rest of the robot
bool | useLocalVelSensor
| decide whether you wand to use a local velocity sensors.
bool | legContactSensorIsBinary
| Use binary leg contact sensors.
Leg extension from trunk
amosII has a fixed but adjustable joint that decides how the legs extend from the trunk.here you can adjust these joints, if shoulder = 0 this still influences how the legs extend (the coxa-trunk connection in that case)
double | fLegTrunkAngleV
| angle in rad around vertical axis at leg-trunk fixation for front legs
double | fLegTrunkAngleH
| angle in rad around horizontal axis at leg-trunk fixation for front legs
double | fLegRotAngle
| rotation of front legs around own axis
double | mLegTrunkAngleV
| angle in rad around vertical axis at leg-trunk fixation for middle legs
double | mLegTrunkAngleH
| angle in rad around horizontal axis at leg-trunk fixation for middle legs
double | mLegRotAngle
| rotation of middle legs around own axis
double | rLegTrunkAngleV
| angle in rad around vertical axis at leg-trunk fixation for rear legs
double | rLegTrunkAngleH
| angle in rad around horizontal axis at leg-trunk fixation for rear legs
double | rLegRotAngle
| rotation of rear legs around own axis
leg part dimensions
the lengths and radii of the individual leg parts
double | shoulderLength
| length of the shoulder limbs (if used)
double | shoulderRadius
| radius of the shoulder limbs (if used)
double | coxaLength
| length of the coxa limbs
double | coxaRadius
| radius of the coxa limbs
double | secondLength
| length of the second limbs
double | secondRadius
| radius of the second limbs
double | tebiaLength
| length of the tebia limbs including fully extended foot spring (if used)
double | tebiaRadius
| radius of the tebia limbs
double | footRange
| range of the foot spring
double | footRadius
| radius of the foot capsules, choose different from tebiaRadius
Joint Limits
set limits for each joint
double | backJointLimitD
| {
double | backJointLimitU
| upper limit of the backbone joint, positive is down
double | fcoxaJointLimitF
| forward limit of the front TC joints, negative is forward (zero specified by fcoxazero)
double | fcoxaJointLimitB
| backward limit of the front TC joints, negative is forward (zero specified by fcoxaZero)
double | mcoxaJointLimitF
| forward limit of the middle TC joints, negative is forward (zero specified by fcoxaZero)
double | mcoxaJointLimitB
| backward limit of the middle TC joints, negative is forward (zero specified by fcoxaZero)
double | rcoxaJointLimitF
| forward limit of the rear TC joints, negative is forward (zero specified by fcoxaZero)
double | rcoxaJointLimitB
| backward limit of the rear TC joints, negative is forward (zero specified by fcoxaZero)
double | secondJointLimitD
| lower limit of the CTr joints, positive is down
double | secondJointLimitU
| upper limit of the CTr joints, positive is down
double | tebiaJointLimitD
| lower limit of the FTi joints, positive is down
double | tebiaJointLimitU
| upper limit of the FTi joints, positive is down
double | footSpringPreload
| }
double | footSpringLimitU
| upper limit of the foot spring = maximum value (negative is downwards (spring extends))
double | footSpringLimitD
| lower limit of the foot spring = minimum value (negative is downwards (spring extends))
double | backPower
| maximal force of the backbone joint
double | coxaPower
| maximal force of the TC joint servos
double | secondPower
| maximal force of the CTr joint servos
double | tebiaPower
| maximal force of the FTi joint servos
double | footPower
| maximal force of the foot spring servos
double | backDamping
| damping of the backbone joint servo
double | coxaDamping
| damping of the TC joint servos
double | secondDamping
| damping of the CTr joint servo
double | tebiaDamping
| damping of the FTi joint servo
double | footDamping
| damping of the foot spring servo
double | backMaxVel
| maximal velocity of the backbone joint servo
double | coxaMaxVel
| maximal velocity of the TC joint servo
double | secondMaxVel
| maximal velocity of the CTr joint servo
double | tebiaMaxVel
| maximal velocity of the FTi joint servo
double | footMaxVel
| maximal velocity of the foot spring servo
front ultrasonic sensors
configure the front ultrasonic sensors
double | usAngleX
| {
double | usAngleY
| angle versus y axis
bool | usParallel
| choose between parallel or antiparallel front ultrasonic sensors true means parallel
double | usRangeFront
| range of the front ultrasonic sensors
double | irRangeLeg
| }
std::string | texture
| path to texture for legs
std::string | bodyTexture
| path to texture for trunk
std::vector< Primitive * > | GoalSensor_references
int | amos_version

## Member Data Documentation

int amos_version

double backDamping

damping of the backbone joint servo

double backJointLimitD

{

smaller limit of the backbone joint, positive is down

double backJointLimitU

upper limit of the backbone joint, positive is down

double backMaxVel

maximal velocity of the backbone joint servo

double backPower

maximal force of the backbone joint

std::string bodyTexture

path to texture for trunk

double coxaDamping

damping of the TC joint servos

double coxaLength

length of the coxa limbs

double coxaMass

mass of the coxa limbs

double coxaMaxVel

maximal velocity of the TC joint servo

double coxaPower

maximal force of the TC joint servos

double coxaRadius

radius of the coxa limbs

double fcoxaJointLimitB

backward limit of the front TC joints, negative is forward (zero specified by fcoxaZero)

double fcoxaJointLimitF

forward limit of the front TC joints, negative is forward (zero specified by fcoxazero)

double fLegRotAngle

rotation of front legs around own axis

double fLegTrunkAngleH

angle in rad around horizontal axis at leg-trunk fixation for front legs

double fLegTrunkAngleV

angle in rad around vertical axis at leg-trunk fixation for front legs

double footDamping

damping of the foot spring servo

double footMass

mass of the feet

double footMaxVel

maximal velocity of the foot spring servo

double footPower

maximal force of the foot spring servos

double footRadius

radius of the foot capsules, choose different from tebiaRadius

double footRange

range of the foot spring

double footSpringLimitD

lower limit of the foot spring = minimum value (negative is downwards (spring extends))

double footSpringLimitU

upper limit of the foot spring = maximum value (negative is downwards (spring extends))

double footSpringPreload

}

preload of the foot spring

double frontLength

length of the front of the body (if back joint is used)

double frontMass

mass of the front part of the robot (if backboine joint is used)

std::vector<Primitive*> GoalSensor_references

double height

trunk height

double irRangeLeg

}

range of the infrared sensors at the legs

bool legContactSensorIsBinary

Use binary leg contact sensors.

If false, a force sensor is used.

double legdist1

distance between hindlegs and middle legs

double legdist2

distance between middle legs and front legs

double mcoxaJointLimitB

backward limit of the middle TC joints, negative is forward (zero specified by fcoxaZero)

double mcoxaJointLimitF

forward limit of the middle TC joints, negative is forward (zero specified by fcoxaZero)

double mLegRotAngle

rotation of middle legs around own axis

double mLegTrunkAngleH

angle in rad around horizontal axis at leg-trunk fixation for middle legs

double mLegTrunkAngleV

angle in rad around vertical axis at leg-trunk fixation for middle legs

double rcoxaJointLimitB

backward limit of the rear TC joints, negative is forward (zero specified by fcoxaZero)

double rcoxaJointLimitF

forward limit of the rear TC joints, negative is forward (zero specified by fcoxaZero)

double rLegRotAngle

rotation of rear legs around own axis

double rLegTrunkAngleH

angle in rad around horizontal axis at leg-trunk fixation for rear legs

double rLegTrunkAngleV

angle in rad around vertical axis at leg-trunk fixation for rear legs

bool rubberFeet

if true, rubber substance is used for feet instead of the substance used for the rest of the robot

double secondDamping

damping of the CTr joint servo

double secondJointLimitD

lower limit of the CTr joints, positive is down

double secondJointLimitU

upper limit of the CTr joints, positive is down

double secondLength

length of the second limbs

double secondMass

mass of the second limbs

double secondMaxVel

maximal velocity of the CTr joint servo

double secondPower

maximal force of the CTr joint servos

double secondRadius

radius of the second limbs

double shoulderHeight

fix legs to trunk at this distance from bottom of trunk

double shoulderLength

length of the shoulder limbs (if used)

double shoulderMass

mass of the shoulders (if used)

double shoulderRadius

radius of the shoulder limbs (if used)

double size

scaling factor for robot (length of body)

double tebiaDamping

damping of the FTi joint servo

double tebiaJointLimitD

lower limit of the FTi joints, positive is down

double tebiaJointLimitU

upper limit of the FTi joints, positive is down

double tebiaLength

length of the tebia limbs including fully extended foot spring (if used)

double tebiaMass

mass of the tebia limbs

double tebiaMaxVel

maximal velocity of the FTi joint servo

double tebiaPower

maximal force of the FTi joint servos

double tebiaRadius

radius of the tebia limbs

std::string texture

path to texture for legs

double trunkMass

trunk mass

double usAngleX

{

angle versus x axis

double usAngleY

angle versus y axis

bool useBack

use the hinge joint in the back

bool useFoot

use spring foot

bool useLocalVelSensor

decide whether you wand to use a local velocity sensors.

If yes it gets velocity vector in local coordinates and pass it as sensorvalues

bool useShoulder

fix the shoulder element to the trunk.

bool useTebiaJoints

whether to use joints at the knees or fix them

bool usParallel

choose between parallel or antiparallel front ultrasonic sensors true means parallel

double usRangeFront

range of the front ultrasonic sensors

double wheel_mass

mass of a wheel

double wheel_radius

radius of a wheel

double wheel_width

width of a wheel

double width

trunk width

The documentation for this struct was generated from the following file:

- amosII.h